package com.ruoyi.bst.pay.interfaces;

import com.ruoyi.bst.pay.domain.PayVO;
import com.ruoyi.bst.refund.domain.RefundVO;

/**
 * 支付成功回调
 * @author wjh
 * 2024/8/14
 */
public interface PayHandler {

    /**
     * 支付成功后处理
     */
    default boolean onPaySuccess(PayVO pay) {
        return true;
    }

    /**
     * 关闭订单后处理
     */
    default boolean onClose(PayVO pay) {
        return true;
    }

    /**
     * 退款成功后处理
     */
    default boolean onRefundSuccess(RefundVO refund) {
        return true;
    }

}
